## ros-humble-ublox-ubx-msgs 0.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ublox_ubx_msgs)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(std_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  # the following line skips cpplint (only works in a git repo)
  # uncomment the line when this package is not in a git repo
  #set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

rosidl_generate_interfaces(ublox_ubx_msgs
  "msg/CarrSoln.msg"
  "msg/ESFMeasDataItem.msg"
  "msg/ESFSensorStatus.msg"
  "msg/GpsFix.msg"
  "msg/MapMatching.msg"
  "msg/PSMPVT.msg"
  "msg/PSMStatus.msg"
  "msg/SpoofDet.msg"
  "msg/UBXEsfMeas.msg"
  "msg/UBXEsfStatus.msg"
  "msg/UBXNavEOE.msg"
  "msg/UBXNavClock.msg"
  "msg/UBXNavCov.msg"
  "msg/UBXNavDOP.msg"
  "msg/UBXNavHPPosECEF.msg"
  "msg/UBXNavHPPosLLH.msg"
  "msg/UBXNavOdo.msg"
  "msg/UBXNavPosECEF.msg"
  "msg/UBXNavPosLLH.msg"
  "msg/UBXNavPVT.msg"
  "msg/UBXNavRelPosNED.msg"
  "msg/UBXNavStatus.msg"
  "msg/UBXNavTimeUTC.msg"
  "msg/UBXNavVelECEF.msg"
  "msg/UBXNavVelNED.msg"
  "msg/UBXRxmRTCM.msg"
  "msg/UtcStd.msg"
  DEPENDENCIES builtin_interfaces std_msgs
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-ublox-ubx-msgs (0.4.4-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-humble-ublox-ubx-msgs (0.4.3-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-humble-ublox-ubx-msgs (0.4.2-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-humble-ublox-ubx-msgs (0.4.1-1jammy) jammy; urgency=high

  * updates for release
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * changed calibTtag from an array to single value
  * fixed spelling mistake
  * notation and spelling fixes
  * added initial ubx esf status code
  * Added status constants
  * Added status and fusion constants
  * added ubx-rxm-rtcm publishing
  * New UBX RXM RTCM message
  * New UBX ESF Status message
  * New UBX ESF Meas message
  * Contributors: Nick Hortovanyi
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * changed calibTtag from an array to single value
  * fixed spelling mistake
  * notation and spelling fixes
  * added initial ubx esf status code
  * Added status constants
  * Added status and fusion constants
  * added ubx-rxm-rtcm publishing
  * New UBX RXM RTCM message
  * New UBX ESF Status message
  * New UBX ESF Meas message
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-humble-ublox-ubx-msgs (0.3.5-1jammy) jammy; urgency=high

  * fixed title underline
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Mon, 23 May 2022 14:00:00 -0000

ros-humble-ublox-ubx-msgs (0.3.4-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Mon, 23 May 2022 14:00:00 -0000

ros-humble-ublox-ubx-msgs (0.3.3-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Mon, 23 May 2022 14:00:00 -0000

ros-humble-ublox-ubx-msgs (0.3.2-1jammy) jammy; urgency=high

  * updated CMAKE_CXX_STANDARD 17
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Thu, 12 May 2022 14:00:00 -0000

ros-humble-ublox-ubx-msgs (0.3.1-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Fri, 13 May 2022 02:43:00 -0000

ros-humble-ublox-ubx-msgs (0.3.0-1jammy) jammy; urgency=high

  * changes for humble
  * removed author element
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Fri, 13 May 2022 00:26:00 -0000

ros-humble-ublox-ubx-msgs (0.2.3-1jammy) jammy; urgency=high

  * changed build dependencies
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Sat, 24 Jul 2021 14:00:00 -0000

ros-humble-ublox-ubx-msgs (0.2.2-1jammy) jammy; urgency=high

  * 0.2.2 build farm dependency changes
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Wed, 21 Jul 2021 21:14:00 -0000

ros-humble-ublox-ubx-msgs (0.2.1-1jammy) jammy; urgency=high

  * updated version 0.2.1
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Wed, 21 Jul 2021 19:24:00 -0000

ros-humble-ublox-ubx-msgs (0.2.0-1jammy) jammy; urgency=high

  * added ubx_nav_cov message
  * updated version number and email
  * Fixed license to Apache License, Version 2.0
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Mon, 19 Jul 2021 14:00:00 -0000

ros-humble-ublox-ubx-msgs (0.1.0-1jammy) jammy; urgency=high

  * updated package version
  * Initial release
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Sat, 10 Jul 2021 14:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ublox-ubx-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ublox-ubx-msgs 0.5.2

=== debian/changelog ===
ros-humble-ublox-ubx-msgs (0.5.2-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Sat, 04 Nov 2023 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.5.1-1bookworm) bookworm; urgency=high

  * Merge branch 'aussierobots:main' into main
  * Contributors: Geoff Sokoll

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Thu, 12 Oct 2023 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.5.0-1bookworm) bookworm; urgency=high

  * Added new messages for satellite data & security
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Thu, 12 Oct 2023 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.4.4-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.4.3-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.4.2-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.4.1-1bookworm) bookworm; urgency=high

  * updates for release
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * changed calibTtag from an array to single value
  * fixed spelling mistake
  * notation and spelling fixes
  * added initial ubx esf status code
  * Added status constants
  * Added status and fusion constants
  * added ubx-rxm-rtcm publishing
  * New UBX RXM RTCM message
  * New UBX ESF Status message
  * New UBX ESF Meas message
  * Contributors: Nick Hortovanyi
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * changed calibTtag from an array to single value
  * fixed spelling mistake
  * notation and spelling fixes
  * added initial ubx esf status code
  * Added status constants
  * Added status and fusion constants
  * added ubx-rxm-rtcm publishing
  * New UBX RXM RTCM message
  * New UBX ESF Status message
  * New UBX ESF Meas message
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.3.5-1bookworm) bookworm; urgency=high

  * fixed title underline
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Mon, 23 May 2022 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.3.4-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Mon, 23 May 2022 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.3.3-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Mon, 23 May 2022 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.3.2-1bookworm) bookworm; urgency=high

  * updated CMAKE_CXX_STANDARD 17
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Thu, 12 May 2022 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.3.1-1bookworm) bookworm; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Fri, 13 May 2022 04:43:00 -0000

ros-humble-ublox-ubx-msgs (0.3.0-1bookworm) bookworm; urgency=high

  * changes for humble
  * removed author element
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Fri, 13 May 2022 02:26:00 -0000

ros-humble-ublox-ubx-msgs (0.2.3-1bookworm) bookworm; urgency=high

  * changed build dependencies
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Sat, 24 Jul 2021 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.2.2-1bookworm) bookworm; urgency=high

  * 0.2.2 build farm dependency changes
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Wed, 21 Jul 2021 23:14:00 -0000

ros-humble-ublox-ubx-msgs (0.2.1-1bookworm) bookworm; urgency=high

  * updated version 0.2.1
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Wed, 21 Jul 2021 21:24:00 -0000

ros-humble-ublox-ubx-msgs (0.2.0-1bookworm) bookworm; urgency=high

  * added ubx_nav_cov message
  * updated version number and email
  * Fixed license to Apache License, Version 2.0
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Mon, 19 Jul 2021 16:00:00 -0000

ros-humble-ublox-ubx-msgs (0.1.0-1bookworm) bookworm; urgency=high

  * updated package version
  * Initial release
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Sat, 10 Jul 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-ublox-ubx-msgs
Section: misc
Priority: optional
Maintainer: Nick Hortovanyi <nick@aussierobots.com.au>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: https://github.com/aussierobots/ublox_dgnss
Standards-Version: 3.9.2

Package: ros-humble-ublox-ubx-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace
Description: UBLOX UBX ROS2 Msgs

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ublox-ubx-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ublox-ubx-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ublox-ubx-msgs//opt/ros/humble/opt/ublox_ubx_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
